Bug 7460 - nl2br in opac Title notes tab
Summary: nl2br in opac Title notes tab
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: 3.6
Hardware: All All
: P5 - low minor (vote)
Assignee: stephane.delaune
QA Contact: Ian Walls
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-23 14:51 UTC by stephane.delaune
Modified: 2013-12-05 19:59 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
proposed patch (977 bytes, patch)
2012-01-23 15:14 UTC, stephane.delaune
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 7460: Add template toolkit's FILTER html_line_break on opac details description's tab (1.05 KB, patch)
2012-01-24 14:56 UTC, Owen Leonard
Details | Diff | Splinter Review
followup patch for staff (998 bytes, patch)
2012-02-09 10:05 UTC, stephane.delaune
Details | Diff | Splinter Review
Bug 7460: followup : Add template toolkit's FILTER html_line_break on staff details description's tab (1.02 KB, patch)
2012-02-19 07:18 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description stephane.delaune 2012-01-23 14:51:04 UTC
the Title notes tab does not implement the line breaks (CR) to transform 300$a from \n to <br />
Comment 1 stephane.delaune 2012-01-23 14:52:36 UTC
url_opac/cgi-bin/koha/opac-detail.pl?biblionumber=1#descriptions
Comment 2 stephane.delaune 2012-01-23 15:13:56 UTC
tt includes a filter that works like a nl2br sub to replace \n with <br /> ; it's [% FILTER html_line_break %]. the patch use it
Comment 3 stephane.delaune 2012-01-23 15:14:29 UTC Comment hidden (obsolete)
Comment 4 Owen Leonard 2012-01-24 14:56:40 UTC Comment hidden (obsolete)
Comment 5 Owen Leonard 2012-01-24 14:57:20 UTC
I think the same change should be made to the staff client.
Comment 6 Ian Walls 2012-01-29 23:52:54 UTC
Template only change, introducing new built-in filter.  Marking as Passed QA
Comment 7 Paul Poulain 2012-01-30 21:32:32 UTC
Patch pushed. But I reset the status to assigned, as the same patch should be made for staff client, I agree with Owen.
i'll mark your patch as obsolete as it has been pushed.
Comment 8 Paul Poulain 2012-01-30 21:33:10 UTC
Comment on attachment 7318 [details] [review]
[SIGNED-OFF] Bug 7460: Add template toolkit's FILTER html_line_break on opac details description's tab

this patch has been pushed. Now waiting for staff client similar patch
Comment 9 stephane.delaune 2012-02-09 10:05:36 UTC Comment hidden (obsolete)
Comment 10 Chris Cormack 2012-02-19 07:18:04 UTC
Created attachment 7754 [details] [review]
Bug 7460: followup : Add template toolkit's FILTER html_line_break on staff details description's tab

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Comment 11 Paul Poulain 2012-02-22 14:26:50 UTC
QA comment: patch similar to OPAC one, passed QA
Comment 12 Jared Camins-Esakov 2012-05-23 23:31:34 UTC
This patch will be included in the forthcoming 3.6.5 release (no string changes).